Subject: Re: BUG! missing .idx causes .pack to be removed

From: René Scharfe <[email-masked]>
Date: Fri, 06 Aug 2010 09:14:18 +0200

Am 06.08.2010 05:24, schrieb Tay Ray Chuan:
> Hi,
> 
> On Fri, Aug 6, 2010 at 1:01 AM, Enrico Weigelt <[email-masked]> wrote:
>> while doing some experiments I've removed the *.idx files and
>> ran git-repack - that complained about missing objects and removed
>> all *.pack files !
>>
>> I'm sure that's a bug - an ugly one ;-o
> 
> IIRC, a .pack file is useless without its corresponding .idx file. So
> the removal of a .pack file makes sense here - to me, at least.

git-index-pack can rebuild the index for a pack file.  Not sure if it
should be done automagically, but the file is not completely useless.

René